<?php

/*
  Plugin Name: Tickera - Filter Ticket Types by Events
  Plugin URI: https://tickera.com/
  Description: Filter ticket types by events on the admin page
  Author: Tickera.com
  Author URI: https://tickera.com/
  Version: 1.0
  TextDomain: tc
  Domain Path: /languages/

  Copyright 2018 Tickera (https://tickera.com/)
 */


//creating select filter
add_action( 'restrict_manage_posts', 'tc_filter_tickets_by_events' );
function tc_filter_tickets_by_events() {
            global $post_type;
            if ($post_type == 'tc_tickets') {

                $wp_events_search = new TC_Events_Search('', '', '-1');

                $currently_selected = isset($_REQUEST['tc_event_filter']) ? (int) $_REQUEST['tc_event_filter'] : '';
                ?>
                <select name="tc_event_filter">
                    <option value="0"><?php _e('All Events', 'tc'); ?></option>
                    <?php
                    foreach ($wp_events_search->get_results() as $event) {
                        $event_obj = new TC_Event($event->ID);
                        $event_object = $event_obj->details;
                        ?>
                        <option value="<?php echo esc_attr($event_object->ID); ?>" <?php selected($currently_selected, $event_object->ID, true); ?>><?php echo apply_filters('tc_event_select_name', $event_object->post_title, $event_object->ID); ?></option>
                        <?php
                    }
                    ?>
                </select>
                <?php
            }
        }



add_filter( 'pre_get_posts', 'tc_events_posts_filter' );

function tc_events_posts_filter($query){
    if(is_admin()){
    if(is_main_query() && $query->get('post_type') == 'tc_tickets' && $_GET['tc_event_filter'] != 0){
        $meta_query = array(
                         array(
                            'key'=>'event_name',
                            'value'=>$_GET['tc_event_filter'],
                            'compare'=>'=',
                         ),
        );
        $query->set('meta_query',$meta_query);
    }
    }
}

?>